source: squid-ssl/trunk/fuentes/compat/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 43.8 KB
RevLine 
[5495]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# compat/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17#
18#  Makefile for the Squid Portability Library
19#
20
21
22am__is_gnu_make = { \
23  if test -z '$(MAKELEVEL)'; then \
24    false; \
25  elif test -n '$(MAKE_HOST)'; then \
26    true; \
27  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
28    true; \
29  else \
30    false; \
31  fi; \
32}
33am__make_running_with_option = \
34  case $${target_option-} in \
35      ?) ;; \
36      *) echo "am__make_running_with_option: internal error: invalid" \
37              "target option '$${target_option-}' specified" >&2; \
38         exit 1;; \
39  esac; \
40  has_opt=no; \
41  sane_makeflags=$$MAKEFLAGS; \
42  if $(am__is_gnu_make); then \
43    sane_makeflags=$$MFLAGS; \
44  else \
45    case $$MAKEFLAGS in \
46      *\\[\ \   ]*) \
47        bs=\\; \
48        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
49          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
50    esac; \
51  fi; \
52  skip_next=no; \
53  strip_trailopt () \
54  { \
55    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
56  }; \
57  for flg in $$sane_makeflags; do \
58    test $$skip_next = yes && { skip_next=no; continue; }; \
59    case $$flg in \
60      *=*|--*) continue;; \
61        -*I) strip_trailopt 'I'; skip_next=yes;; \
62      -*I?*) strip_trailopt 'I';; \
63        -*O) strip_trailopt 'O'; skip_next=yes;; \
64      -*O?*) strip_trailopt 'O';; \
65        -*l) strip_trailopt 'l'; skip_next=yes;; \
66      -*l?*) strip_trailopt 'l';; \
67      -[dEDm]) skip_next=yes;; \
68      -[JT]) skip_next=yes;; \
69    esac; \
70    case $$flg in \
71      *$$target_option*) has_opt=yes; break;; \
72    esac; \
73  done; \
74  test $$has_opt = yes
75am__make_dryrun = (target_option=n; $(am__make_running_with_option))
76am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
77pkgdatadir = $(datadir)/squid
78pkgincludedir = $(includedir)/squid
79pkglibdir = $(libdir)/squid
80pkglibexecdir = $(libexecdir)/squid
81am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
82install_sh_DATA = $(install_sh) -c -m 644
83install_sh_PROGRAM = $(install_sh) -c
84install_sh_SCRIPT = $(install_sh) -c
85INSTALL_HEADER = $(INSTALL_DATA)
86transform = $(program_transform_name)
87NORMAL_INSTALL = :
88PRE_INSTALL = :
89POST_INSTALL = :
90NORMAL_UNINSTALL = :
91PRE_UNINSTALL = :
92POST_UNINSTALL = :
93build_triplet = x86_64-pc-linux-gnu
94host_triplet = x86_64-pc-linux-gnu
95check_PROGRAMS = testPreCompiler$(EXEEXT)
96TESTS = testPreCompiler$(EXEEXT) testHeaders
97am__append_1 = $(INCLTDL)
98subdir = compat
99ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
101        $(top_srcdir)/acinclude/init.m4 \
102        $(top_srcdir)/acinclude/squid-util.m4 \
103        $(top_srcdir)/acinclude/compiler-flags.m4 \
104        $(top_srcdir)/acinclude/os-deps.m4 \
105        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
106        $(top_srcdir)/acinclude/pkg.m4 \
107        $(top_srcdir)/acinclude/lib-checks.m4 \
108        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
109        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
110        $(top_srcdir)/helpers/basic_auth/modules.m4 \
111        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/modules.m4 \
126        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
128        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/modules.m4 \
138        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
139        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
140        $(top_srcdir)/helpers/external_acl/modules.m4 \
141        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
143        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
145        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
147        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
148        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/session/required.m4 \
150        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
151        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
152        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
153        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
155        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
156        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
157        $(top_srcdir)/configure.ac
158am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
159        $(ACLOCAL_M4)
160DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
161mkinstalldirs = $(install_sh) -d
162CONFIG_HEADER = $(top_builddir)/include/autoconf.h
163CONFIG_CLEAN_FILES =
164CONFIG_CLEAN_VPATH_FILES =
165LTLIBRARIES = $(noinst_LTLIBRARIES)
166libcompat_squid_la_DEPENDENCIES = $(LTLIBOBJS)
167am_libcompat_squid_la_OBJECTS = assert.lo compat.lo debug.lo \
168        eui64_aton.lo getaddrinfo.lo getnameinfo.lo GnuRegex.lo \
169        inet_ntop.lo inet_pton.lo memrchr.lo shm.lo statvfs.lo \
170        strnstr.lo strnrchr.lo xalloc.lo xstrerror.lo xstring.lo \
171        xstrto.lo mswindows.lo
172libcompat_squid_la_OBJECTS = $(am_libcompat_squid_la_OBJECTS)
173AM_V_lt = $(am__v_lt_$(V))
174am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
175am__v_lt_0 = --silent
176am__v_lt_1 = 
177am_testPreCompiler_OBJECTS = testPreCompiler.$(OBJEXT)
178testPreCompiler_OBJECTS = $(am_testPreCompiler_OBJECTS)
179am__DEPENDENCIES_1 =
180testPreCompiler_DEPENDENCIES = $(am__DEPENDENCIES_1) \
181        $(am__DEPENDENCIES_1)
182testPreCompiler_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
183        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
184        $(AM_CXXFLAGS) $(CXXFLAGS) $(testPreCompiler_LDFLAGS) \
185        $(LDFLAGS) -o $@
186AM_V_P = $(am__v_P_$(V))
187am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
188am__v_P_0 = false
189am__v_P_1 = :
190AM_V_GEN = $(am__v_GEN_$(V))
191am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
192am__v_GEN_0 = @echo "  GEN     " $@;
193am__v_GEN_1 = 
194AM_V_at = $(am__v_at_$(V))
195am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
196am__v_at_0 = @
197am__v_at_1 = 
198DEFAULT_INCLUDES = 
199depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
200am__depfiles_maybe = depfiles
201am__mv = mv -f
202COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
203        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
204LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
206        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207        $(AM_CFLAGS) $(CFLAGS)
208AM_V_CC = $(am__v_CC_$(V))
209am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
210am__v_CC_0 = @echo "  CC      " $@;
211am__v_CC_1 = 
212CCLD = $(CC)
213LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
215        $(AM_LDFLAGS) $(LDFLAGS) -o $@
216AM_V_CCLD = $(am__v_CCLD_$(V))
217am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
218am__v_CCLD_0 = @echo "  CCLD    " $@;
219am__v_CCLD_1 = 
220CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
221        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
222LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
223        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
224        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
225        $(AM_CXXFLAGS) $(CXXFLAGS)
226AM_V_CXX = $(am__v_CXX_$(V))
227am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
228am__v_CXX_0 = @echo "  CXX     " $@;
229am__v_CXX_1 = 
230CXXLD = $(CXX)
231CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
232        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
233        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
234AM_V_CXXLD = $(am__v_CXXLD_$(V))
235am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
236am__v_CXXLD_0 = @echo "  CXXLD   " $@;
237am__v_CXXLD_1 = 
238SOURCES = $(libcompat_squid_la_SOURCES) $(testPreCompiler_SOURCES)
239DIST_SOURCES = $(libcompat_squid_la_SOURCES) \
240        $(testPreCompiler_SOURCES)
241am__can_run_installinfo = \
242  case $$AM_UPDATE_INFO_DIR in \
243    n|no|NO) false;; \
244    *) (install-info --version) >/dev/null 2>&1;; \
245  esac
246am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247# Read a list of newline-separated strings from the standard input,
248# and print each of them once, without duplicates.  Input order is
249# *not* preserved.
250am__uniquify_input = $(AWK) '\
251  BEGIN { nonempty = 0; } \
252  { items[$$0] = 1; nonempty = 1; } \
253  END { if (nonempty) { for (i in items) print i; }; } \
254'
255# Make sure the list of sources is unique.  This is necessary because,
256# e.g., the same source file might be shared among _SOURCES variables
257# for different programs/libraries.
258am__define_uniq_tagged_files = \
259  list='$(am__tagged_files)'; \
260  unique=`for i in $$list; do \
261    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262  done | $(am__uniquify_input)`
263ETAGS = etags
264CTAGS = ctags
265am__tty_colors_dummy = \
266  mgn= red= grn= lgn= blu= brg= std=; \
267  am__color_tests=no
268am__tty_colors = { \
269  $(am__tty_colors_dummy); \
270  if test "X$(AM_COLOR_TESTS)" = Xno; then \
271    am__color_tests=no; \
272  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
273    am__color_tests=yes; \
274  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
275    am__color_tests=yes; \
276  fi; \
277  if test $$am__color_tests = yes; then \
278    red='[0;31m'; \
279    grn='[0;32m'; \
280    lgn='[1;32m'; \
281    blu='[1;34m'; \
282    mgn='[0;35m'; \
283    brg='[1m'; \
284    std='[m'; \
285  fi; \
286}
287am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
288am__vpath_adj = case $$p in \
289    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
290    *) f=$$p;; \
291  esac;
292am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
293am__install_max = 40
294am__nobase_strip_setup = \
295  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
296am__nobase_strip = \
297  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
298am__nobase_list = $(am__nobase_strip_setup); \
299  for p in $$list; do echo "$$p $$p"; done | \
300  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
301  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
302    if (++n[$$2] == $(am__install_max)) \
303      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
304    END { for (dir in files) print dir, files[dir] }'
305am__base_list = \
306  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
307  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
308am__uninstall_files_from_dir = { \
309  test -z "$$files" \
310    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
311    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
312         $(am__cd) "$$dir" && rm -f $$files; }; \
313  }
314am__recheck_rx = ^[     ]*:recheck:[    ]*
315am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
316am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
317# A command that, given a newline-separated list of test names on the
318# standard input, print the name of the tests that are to be re-run
319# upon "make recheck".
320am__list_recheck_tests = $(AWK) '{ \
321  recheck = 1; \
322  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
323    { \
324      if (rc < 0) \
325        { \
326          if ((getline line2 < ($$0 ".log")) < 0) \
327            recheck = 0; \
328          break; \
329        } \
330      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
331        { \
332          recheck = 0; \
333          break; \
334        } \
335      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
336        { \
337          break; \
338        } \
339    }; \
340  if (recheck) \
341    print $$0; \
342  close ($$0 ".trs"); \
343  close ($$0 ".log"); \
344}'
345# A command that, given a newline-separated list of test names on the
346# standard input, create the global log from their .trs and .log files.
347am__create_global_log = $(AWK) ' \
348function fatal(msg) \
349{ \
350  print "fatal: making $@: " msg | "cat >&2"; \
351  exit 1; \
352} \
353function rst_section(header) \
354{ \
355  print header; \
356  len = length(header); \
357  for (i = 1; i <= len; i = i + 1) \
358    printf "="; \
359  printf "\n\n"; \
360} \
361{ \
362  copy_in_global_log = 1; \
363  global_test_result = "RUN"; \
364  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
365    { \
366      if (rc < 0) \
367         fatal("failed to read from " $$0 ".trs"); \
368      if (line ~ /$(am__global_test_result_rx)/) \
369        { \
370          sub("$(am__global_test_result_rx)", "", line); \
371          sub("[        ]*$$", "", line); \
372          global_test_result = line; \
373        } \
374      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
375        copy_in_global_log = 0; \
376    }; \
377  if (copy_in_global_log) \
378    { \
379      rst_section(global_test_result ": " $$0); \
380      while ((rc = (getline line < ($$0 ".log"))) != 0) \
381      { \
382        if (rc < 0) \
383          fatal("failed to read from " $$0 ".log"); \
384        print line; \
385      }; \
386      printf "\n"; \
387    }; \
388  close ($$0 ".trs"); \
389  close ($$0 ".log"); \
390}'
391# Restructured Text title.
392am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
393# Solaris 10 'make', and several other traditional 'make' implementations,
394# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
395# by disabling -e (using the XSI extension "set +e") if it's set.
396am__sh_e_setup = case $$- in *e*) set +e;; esac
397# Default flags passed to test drivers.
398am__common_driver_flags = \
399  --color-tests "$$am__color_tests" \
400  --enable-hard-errors "$$am__enable_hard_errors" \
401  --expect-failure "$$am__expect_failure"
402# To be inserted before the command running the test.  Creates the
403# directory for the log if needed.  Stores in $dir the directory
404# containing $f, in $tst the test, in $log the log.  Executes the
405# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
406# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
407# will run the test scripts (or their associated LOG_COMPILER, if
408# thy have one).
409am__check_pre = \
410$(am__sh_e_setup);                                      \
411$(am__vpath_adj_setup) $(am__vpath_adj)                 \
412$(am__tty_colors);                                      \
413srcdir=$(srcdir); export srcdir;                        \
414case "$@" in                                            \
415  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
416    *) am__odir=.;;                                     \
417esac;                                                   \
418test "x$$am__odir" = x"." || test -d "$$am__odir"       \
419  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
420if test -f "./$$f"; then dir=./;                        \
421elif test -f "$$f"; then dir=;                          \
422else dir="$(srcdir)/"; fi;                              \
423tst=$$dir$$f; log='$@';                                 \
424if test -n '$(DISABLE_HARD_ERRORS)'; then               \
425  am__enable_hard_errors=no;                            \
426else                                                    \
427  am__enable_hard_errors=yes;                           \
428fi;                                                     \
429case " $(XFAIL_TESTS) " in                              \
430  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
431    am__expect_failure=yes;;                            \
432  *)                                                    \
433    am__expect_failure=no;;                             \
434esac;                                                   \
435$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
436# A shell command to get the names of the tests scripts with any registered
437# extension removed (i.e., equivalently, the names of the test logs, with
438# the '.log' extension removed).  The result is saved in the shell variable
439# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
440# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
441# since that might cause problem with VPATH rewrites for suffix-less tests.
442# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
443am__set_TESTS_bases = \
444  bases='$(TEST_LOGS)'; \
445  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
446  bases=`echo $$bases`
447RECHECK_LOGS = $(TEST_LOGS)
448AM_RECURSIVE_TARGETS = check recheck
449TEST_SUITE_LOG = test-suite.log
450TEST_EXTENSIONS =  .test
451LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
453am__set_b = \
454  case '$@' in \
455    */*) \
456      case '$*' in \
457        */*) b='$*';; \
458          *) b=`echo '$@' | sed 's/\.log$$//'`; \
459       esac;; \
460    *) \
461      b='$*';; \
462  esac
463am__test_logs1 = $(TESTS:=.log)
464am__test_logs2 = $(am__test_logs1:.log=.log)
465TEST_LOGS = $(am__test_logs2:.test.log=.log)
466TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
467TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
468        $(TEST_LOG_FLAGS)
469am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
470        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
471        drand48.c initgroups.c psignal.c strerror.c strtoll.c \
472        tempnam.c
473DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
474ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
475ADAPTATION_LIBS = adaptation/libadaptation.la
476ALLOCA =
477AMTAR = $${TAR-tar}
478AM_DEFAULT_VERBOSITY = 1
479AR = /usr/bin/ar
480AR_R = /usr/bin/ar r
481AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
482AUTH_MODULES =  basic digest negotiate ntlm
483AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
484AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
485AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
486AWK = gawk
487BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
488BUILDCXX = g++
489BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
490BZR =
491CACHE_EFFECTIVE_USER = proxy
492CC = gcc
493CCDEPMODE = depmode=none
494CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
495CGIEXT = .cgi
496CHMOD = /bin/chmod
497CPP = gcc -E
498CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
499CPPUNITCONFIG = /usr/bin/cppunit-config
500CRYPTLIB = -lcrypt
501CXX = g++
502CXXCPP = g++ -E
503CXXDEPMODE = depmode=none
504CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
505CYGPATH_W = echo
506DEFAULT_HOSTS = /etc/hosts
507DEFAULT_LOG_DIR = /var/log/squid-ssl
508DEFAULT_PID_FILE = /var/run/squid-ssl.pid
509DEFAULT_SWAP_DIR = /var/spool/squid-ssl
510DEFS = -DHAVE_CONFIG_H
511DEPDIR = .deps
512DIGEST_AUTH_HELPERS =  file LDAP
513DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
514DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
515DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
516DISK_OS_LIBS =  -lrt -lpthread
517DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
518DLLTOOL = false
519DSYMUTIL =
520DUMPBIN =
521ECAP_LIBS = ecap/libsquid-ecap.la
522ECHO_C =
523ECHO_N = -n
524ECHO_T =
525EGREP = /bin/egrep
526EPOLL_LIBS =
527EUILIB =
528EXEEXT =
529EXPATLIB = -lexpat
530EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
531EXT_LIBECAP_CFLAGS =
532EXT_LIBECAP_LIBS = -lecap
533FALSE = /bin/false
534FGREP = /bin/fgrep
535GREP = grep
536HAVE_CXX11 = 1
537ICAP_LIBS = icap/libicap.la
538INCLTDL =
539INSTALL = /usr/bin/install -c
540INSTALL_DATA = ${INSTALL} -m 644
541INSTALL_PROGRAM = ${INSTALL}
542INSTALL_SCRIPT = ${INSTALL}
543INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
544KRB5INCS = -isystem /usr/include/mit-krb5
545KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
546LBERLIB = -llber
547LD = /usr/bin/ld -m elf_x86_64
548LDAPLIB = -lldap
549LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
550LIBADD_DL = -ldl
551LIBADD_DLD_LINK =
552LIBADD_DLOPEN = -ldl
553LIBADD_SHL_LOAD =
554LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
555LIBGNUTLS_LIBS = -lgnutls
556LIBLTDL = -lltdl
557LIBOBJS =
558LIBOPENSSL_CFLAGS =
559LIBOPENSSL_LIBS = -lssl -lcrypto
560LIBS =
561LIBSASL = -lsasl2
562LIBTOOL = $(SHELL) $(top_builddir)/libtool
563LIB_DB = -ldb
564LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
565LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
566LINUXDOC = /bin/false
567LIPO =
568LN = /bin/ln
569LN_S = ln -s
570LOG_DAEMON_HELPERS =  DB file
571LTDLDEPS =
572LTDLINCL =
573LTDLOPEN = libltdl
574LTLIBOBJS =
575LT_ARGZ_H =
576LT_CONFIG_H = include/autoconf.h
577LT_DLLOADERS =  libltdl/dlopen.la
578LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
579LT_SYS_LIBRARY_PATH =
580MAINT = #
581MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
582MANIFEST_TOOL = :
583MINGW_LIBS =
584MKDIR = /bin/mkdir
585MKDIR_P = /bin/mkdir -p
586MV = /bin/mv
587NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
588NETTLELIB =  -lnettle
589NM = /usr/bin/nm -B
590NMEDIT =
591NTLM_AUTH_HELPERS =  fake smb_lm
592OBJDUMP = objdump
593OBJEXT = o
594OTOOL =
595OTOOL64 =
596PACKAGE = squid
597PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
598PACKAGE_NAME = Squid Web Proxy
599PACKAGE_STRING = Squid Web Proxy 3.5.12
600PACKAGE_TARNAME = squid
601PACKAGE_URL =
602PACKAGE_VERSION = 3.5.12
603PATH_SEPARATOR = :
604PERL = /usr/bin/perl
605PKG_CONFIG = /usr/bin/pkg-config
606PKG_CONFIG_LIBDIR =
607PKG_CONFIG_PATH =
608PO2HTML = off
609PO2TEXT = off
610POD2MAN = /usr/bin/pod2man
611RANLIB = ranlib
612REGEXLIB =
613REPL_LIBS = liblru.a libheap.a
614REPL_OBJS = repl/liblru.a repl/libheap.a
615REPL_POLICIES = lru heap
616RM = /bin/rm -f
617SED = /bin/sed
618SET_MAKE =
619SH = /bin/sh
620SHELL = /bin/bash
621SMBCLIENT = /usr/bin/smbclient
622SNMPLIB = ../lib/snmplib/libsnmplib.la
623SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
624SQUID_CPPUNIT_INC =
625SQUID_CPPUNIT_LA =
626SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
627SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
628SSLLIB =  -lssl -lcrypto  -lgnutls
629STOREID_REWRITE_HELPERS =  file
630STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
631STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
632STORE_TESTS =
633STRIP = strip
634TR = /usr/bin/tr
635TRUE = /bin/true
636URL_REWRITE_HELPERS =  fake
637VERSION = 3.5.12
638WBINFO =
639WIN32_PSAPI =
640XMLLIB = -lxml2
641XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
642XTRA_OBJS =
643abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/compat
644abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/compat
645abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
646abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
647ac_ct_AR =
648ac_ct_CC = gcc
649ac_ct_CXX = g++
650ac_ct_DUMPBIN =
651am__include = include
652am__leading_dot = .
653am__quote =
654am__tar = tar --format=ustar -chf - "$$tardir"
655am__untar = tar -xf -
656bindir = ${exec_prefix}/bin
657build = x86_64-pc-linux-gnu
658build_alias = x86_64-linux-gnu
659build_cpu = x86_64
660build_os = linux-gnu
661build_vendor = pc
662builddir = .
663datadir = /usr/share/squid-ssl
664datarootdir = ${prefix}/share
665docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
666dvidir = ${docdir}
667exec_prefix = ${prefix}
668host = x86_64-pc-linux-gnu
669host_alias =
670host_cpu = x86_64
671host_os = linux-gnu
672host_vendor = pc
673htmldir = ${docdir}
674includedir = ${prefix}/include
675infodir = ${prefix}/share/info
676install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
677krb5_config =
678libdir = ${exec_prefix}/lib
679libexecdir = /usr/lib/squid-ssl
680localedir = ${datarootdir}/locale
681localstatedir = /var
682ltdl_LIBOBJS =  lt__strl.o
683ltdl_LTLIBOBJS =  lt__strl.lo
684mandir = /usr/share/man
685mkdir_p = $(MKDIR_P)
686oldincludedir = /usr/include
687pdfdir = ${docdir}
688prefix = /usr
689program_transform_name = s&$$&-ssl&
690psdir = ${docdir}
691runstatedir = ${localstatedir}/run
692sbindir = ${exec_prefix}/sbin
693sharedstatedir = ${prefix}/com
694srcdir = .
695subdirs =  libltdl
696sys_symbol_underscore = no
697sysconfdir = /etc/squid-ssl
698target_alias =
699top_build_prefix = ../
700top_builddir = ..
701top_srcdir = ..
702AM_CFLAGS = $(SQUID_CFLAGS)
703AM_CXXFLAGS = $(SQUID_CXXFLAGS)
704CLEANFILES = testHeaders
705AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
706        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
707        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
708        $(am__append_1)
709LIBPROFILER =
710#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
711COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
712subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
713
714# Ideally this would be 100% inline functions and macro wrappers.
715
716# Port Specific Configurations
717noinst_LTLIBRARIES = libcompat-squid.la
718libcompat_squid_la_SOURCES = \
719        assert.cc \
720        assert.h \
721        cmsg.h \
722        compat.cc \
723        compat.h \
724        compat_shared.h \
725        cpu.h \
726        cppunit.h \
727        debug.cc \
728        debug.h \
729        drand48.h \
730        eui64_aton.h \
731        eui64_aton.c \
732        fdsetsize.h \
733        getaddrinfo.cc \
734        getaddrinfo.h \
735        getnameinfo.cc \
736        getnameinfo.h \
737        GnuRegex.c \
738        GnuRegex.h \
739        inet_ntop.cc \
740        inet_ntop.h \
741        inet_pton.cc \
742        inet_pton.h \
743        initgroups.h \
744        memrchr.cc \
745        memrchr.h \
746        osdetect.h \
747        psignal.h \
748        shm.cc \
749        shm.h \
750        statvfs.h \
751        statvfs.cc \
752        stdio.h \
753        stdvarargs.h \
754        strnstr.cc \
755        strtoll.h \
756        strnrchr.h \
757        strnrchr.c \
758        tempnam.h \
759        types.h \
760        valgrind.h \
761        xalloc.cc \
762        xalloc.h \
763        xis.h \
764        xstrerror.cc \
765        xstrerror.h \
766        xstring.cc \
767        xstring.h \
768        xstrto.cc \
769        xstrto.h \
770        \
771        os/aix.h \
772        os/android.h \
773        os/dragonfly.h \
774        os/freebsd.h \
775        os/hpux.h \
776        os/linux.h \
777        os/macosx.h \
778        os/mswindows.h \
779        mswindows.cc \
780        os/netbsd.h \
781        os/next.h \
782        os/openbsd.h \
783        os/opensolaris_10_netdb.h \
784        os/os2.h \
785        os/qnx.h \
786        os/sgi.h \
787        os/solaris.h \
788        os/sunos.h
789
790libcompat_squid_la_LIBADD = $(LTLIBOBJS)
791testPreCompiler_SOURCES = \
792        testPreCompiler.h \
793        testPreCompiler.cc
794
795testPreCompiler_LDADD = $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
796testPreCompiler_LDFLAGS =
797all: all-am
798
799.SUFFIXES:
800.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
801$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
802        @for dep in $?; do \
803          case '$(am__configure_deps)' in \
804            *$$dep*) \
805              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
806                && { if test -f $@; then exit 0; else break; fi; }; \
807              exit 1;; \
808          esac; \
809        done; \
810        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu compat/Makefile'; \
811        $(am__cd) $(top_srcdir) && \
812          $(AUTOMAKE) --gnu compat/Makefile
813Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
814        @case '$?' in \
815          *config.status*) \
816            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
817          *) \
818            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
819            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
820        esac;
821$(top_srcdir)/src/Common.am $(am__empty):
822
823$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
824        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
825
826$(top_srcdir)/configure: # $(am__configure_deps)
827        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
828$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
829        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
830$(am__aclocal_m4_deps):
831
832clean-noinstLTLIBRARIES:
833        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
834        @list='$(noinst_LTLIBRARIES)'; \
835        locs=`for p in $$list; do echo $$p; done | \
836              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
837              sort -u`; \
838        test -z "$$locs" || { \
839          echo rm -f $${locs}; \
840          rm -f $${locs}; \
841        }
842
843libcompat-squid.la: $(libcompat_squid_la_OBJECTS) $(libcompat_squid_la_DEPENDENCIES) $(EXTRA_libcompat_squid_la_DEPENDENCIES)
844        $(AM_V_CXXLD)$(CXXLINK)  $(libcompat_squid_la_OBJECTS) $(libcompat_squid_la_LIBADD) $(LIBS)
845
846clean-checkPROGRAMS:
847        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
848        echo " rm -f" $$list; \
849        rm -f $$list || exit $$?; \
850        test -n "$(EXEEXT)" || exit 0; \
851        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
852        echo " rm -f" $$list; \
853        rm -f $$list
854
855testPreCompiler$(EXEEXT): $(testPreCompiler_OBJECTS) $(testPreCompiler_DEPENDENCIES) $(EXTRA_testPreCompiler_DEPENDENCIES)
856        @rm -f testPreCompiler$(EXEEXT)
857        $(AM_V_CXXLD)$(testPreCompiler_LINK) $(testPreCompiler_OBJECTS) $(testPreCompiler_LDADD) $(LIBS)
858
859mostlyclean-compile:
860        -rm -f *.$(OBJEXT)
861
862distclean-compile:
863        -rm -f *.tab.c
864
865#include $(DEPDIR)/drand48.Plo
866#include $(DEPDIR)/initgroups.Plo
867#include $(DEPDIR)/psignal.Plo
868#include $(DEPDIR)/strerror.Plo
869#include $(DEPDIR)/strtoll.Plo
870#include $(DEPDIR)/tempnam.Plo
871#include ./$(DEPDIR)/GnuRegex.Plo
872#include ./$(DEPDIR)/assert.Plo
873#include ./$(DEPDIR)/compat.Plo
874#include ./$(DEPDIR)/debug.Plo
875#include ./$(DEPDIR)/eui64_aton.Plo
876#include ./$(DEPDIR)/getaddrinfo.Plo
877#include ./$(DEPDIR)/getnameinfo.Plo
878#include ./$(DEPDIR)/inet_ntop.Plo
879#include ./$(DEPDIR)/inet_pton.Plo
880#include ./$(DEPDIR)/memrchr.Plo
881#include ./$(DEPDIR)/mswindows.Plo
882#include ./$(DEPDIR)/shm.Plo
883#include ./$(DEPDIR)/statvfs.Plo
884#include ./$(DEPDIR)/strnrchr.Plo
885#include ./$(DEPDIR)/strnstr.Plo
886#include ./$(DEPDIR)/testPreCompiler.Po
887#include ./$(DEPDIR)/xalloc.Plo
888#include ./$(DEPDIR)/xstrerror.Plo
889#include ./$(DEPDIR)/xstring.Plo
890#include ./$(DEPDIR)/xstrto.Plo
891
892.c.o:
893#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
894#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
895#       $(am__mv) $$depbase.Tpo $$depbase.Po
896#       $(AM_V_CC)source='$<' object='$@' libtool=no
897#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
898        $(AM_V_CC)$(COMPILE) -c -o $@ $<
899
900.c.obj:
901#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
902#       $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
903#       $(am__mv) $$depbase.Tpo $$depbase.Po
904#       $(AM_V_CC)source='$<' object='$@' libtool=no
905#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
906        $(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
907
908.c.lo:
909#       $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
910#       $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
911#       $(am__mv) $$depbase.Tpo $$depbase.Plo
912#       $(AM_V_CC)source='$<' object='$@' libtool=yes
913#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
914        $(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
915
916.cc.o:
917#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
918#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
919#       $(am__mv) $$depbase.Tpo $$depbase.Po
920#       $(AM_V_CXX)source='$<' object='$@' libtool=no
921#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
922        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
923
924.cc.obj:
925#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
926#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
927#       $(am__mv) $$depbase.Tpo $$depbase.Po
928#       $(AM_V_CXX)source='$<' object='$@' libtool=no
929#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
930        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
931
932.cc.lo:
933#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
934#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
935#       $(am__mv) $$depbase.Tpo $$depbase.Plo
936#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
937#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
938        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
939
940mostlyclean-libtool:
941        -rm -f *.lo
942
943clean-libtool:
944        -rm -rf .libs _libs
945
946ID: $(am__tagged_files)
947        $(am__define_uniq_tagged_files); mkid -fID $$unique
948tags: tags-am
949TAGS: tags
950
951tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
952        set x; \
953        here=`pwd`; \
954        $(am__define_uniq_tagged_files); \
955        shift; \
956        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
957          test -n "$$unique" || unique=$$empty_fix; \
958          if test $$# -gt 0; then \
959            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
960              "$$@" $$unique; \
961          else \
962            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
963              $$unique; \
964          fi; \
965        fi
966ctags: ctags-am
967
968CTAGS: ctags
969ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
970        $(am__define_uniq_tagged_files); \
971        test -z "$(CTAGS_ARGS)$$unique" \
972          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
973             $$unique
974
975GTAGS:
976        here=`$(am__cd) $(top_builddir) && pwd` \
977          && $(am__cd) $(top_srcdir) \
978          && gtags -i $(GTAGS_ARGS) "$$here"
979cscopelist: cscopelist-am
980
981cscopelist-am: $(am__tagged_files)
982        list='$(am__tagged_files)'; \
983        case "$(srcdir)" in \
984          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
985          *) sdir=$(subdir)/$(srcdir) ;; \
986        esac; \
987        for i in $$list; do \
988          if test -f "$$i"; then \
989            echo "$(subdir)/$$i"; \
990          else \
991            echo "$$sdir/$$i"; \
992          fi; \
993        done >> $(top_builddir)/cscope.files
994
995distclean-tags:
996        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
997
998# Recover from deleted '.trs' file; this should ensure that
999# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1000# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1001# to avoid problems with "make -n".
1002.log.trs:
1003        rm -f $< $@
1004        $(MAKE) $(AM_MAKEFLAGS) $<
1005
1006# Leading 'am--fnord' is there to ensure the list of targets does not
1007# expand to empty, as could happen e.g. with make check TESTS=''.
1008am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1009am--force-recheck:
1010        @:
1011
1012$(TEST_SUITE_LOG): $(TEST_LOGS)
1013        @$(am__set_TESTS_bases); \
1014        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1015        redo_bases=`for i in $$bases; do \
1016                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1017                    done`; \
1018        if test -n "$$redo_bases"; then \
1019          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1020          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1021          if $(am__make_dryrun); then :; else \
1022            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1023          fi; \
1024        fi; \
1025        if test -n "$$am__remaking_logs"; then \
1026          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1027               "recursion detected" >&2; \
1028        elif test -n "$$redo_logs"; then \
1029          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1030        fi; \
1031        if $(am__make_dryrun); then :; else \
1032          st=0;  \
1033          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1034          for i in $$redo_bases; do \
1035            test -f $$i.trs && test -r $$i.trs \
1036              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1037            test -f $$i.log && test -r $$i.log \
1038              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1039          done; \
1040          test $$st -eq 0 || exit 1; \
1041        fi
1042        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1043        ws='[   ]'; \
1044        results=`for b in $$bases; do echo $$b.trs; done`; \
1045        test -n "$$results" || results=/dev/null; \
1046        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1047        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1048        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1049        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1050        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1051        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1052        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1053        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1054          success=true; \
1055        else \
1056          success=false; \
1057        fi; \
1058        br='==================='; br=$$br$$br$$br$$br; \
1059        result_count () \
1060        { \
1061            if test x"$$1" = x"--maybe-color"; then \
1062              maybe_colorize=yes; \
1063            elif test x"$$1" = x"--no-color"; then \
1064              maybe_colorize=no; \
1065            else \
1066              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1067            fi; \
1068            shift; \
1069            desc=$$1 count=$$2; \
1070            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1071              color_start=$$3 color_end=$$std; \
1072            else \
1073              color_start= color_end=; \
1074            fi; \
1075            echo "$${color_start}# $$desc $$count$${color_end}"; \
1076        }; \
1077        create_testsuite_report () \
1078        { \
1079          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1080          result_count $$1 "PASS: " $$pass  "$$grn"; \
1081          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1082          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1083          result_count $$1 "FAIL: " $$fail  "$$red"; \
1084          result_count $$1 "XPASS:" $$xpass "$$red"; \
1085          result_count $$1 "ERROR:" $$error "$$mgn"; \
1086        }; \
1087        {                                                               \
1088          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1089            $(am__rst_title);                                           \
1090          create_testsuite_report --no-color;                           \
1091          echo;                                                         \
1092          echo ".. contents:: :depth: 2";                               \
1093          echo;                                                         \
1094          for b in $$bases; do echo $$b; done                           \
1095            | $(am__create_global_log);                                 \
1096        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1097        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1098        if $$success; then                                              \
1099          col="$$grn";                                                  \
1100         else                                                           \
1101          col="$$red";                                                  \
1102          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1103        fi;                                                             \
1104        echo "$${col}$$br$${std}";                                      \
1105        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1106        echo "$${col}$$br$${std}";                                      \
1107        create_testsuite_report --maybe-color;                          \
1108        echo "$$col$$br$$std";                                          \
1109        if $$success; then :; else                                      \
1110          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1111          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1112            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1113          fi;                                                           \
1114          echo "$$col$$br$$std";                                        \
1115        fi;                                                             \
1116        $$success || exit 1
1117
1118check-TESTS:
1119        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1120        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1121        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1122        @set +e; $(am__set_TESTS_bases); \
1123        log_list=`for i in $$bases; do echo $$i.log; done`; \
1124        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1125        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1126        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1127        exit $$?;
1128recheck: all $(check_PROGRAMS)
1129        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1130        @set +e; $(am__set_TESTS_bases); \
1131        bases=`for i in $$bases; do echo $$i; done \
1132                 | $(am__list_recheck_tests)` || exit 1; \
1133        log_list=`for i in $$bases; do echo $$i.log; done`; \
1134        log_list=`echo $$log_list`; \
1135        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1136                am__force_recheck=am--force-recheck \
1137                TEST_LOGS="$$log_list"; \
1138        exit $$?
1139testPreCompiler.log: testPreCompiler$(EXEEXT)
1140        @p='testPreCompiler$(EXEEXT)'; \
1141        b='testPreCompiler'; \
1142        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1143        --log-file $$b.log --trs-file $$b.trs \
1144        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1145        "$$tst" $(AM_TESTS_FD_REDIRECT)
1146testHeaders.log: testHeaders
1147        @p='testHeaders'; \
1148        b='testHeaders'; \
1149        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1150        --log-file $$b.log --trs-file $$b.trs \
1151        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1152        "$$tst" $(AM_TESTS_FD_REDIRECT)
1153.test.log:
1154        @p='$<'; \
1155        $(am__set_b); \
1156        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1157        --log-file $$b.log --trs-file $$b.trs \
1158        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1159        "$$tst" $(AM_TESTS_FD_REDIRECT)
1160#.test$(EXEEXT).log:
1161#       @p='$<'; \
1162#       $(am__set_b); \
1163#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1164#       --log-file $$b.log --trs-file $$b.trs \
1165#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1166#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1167
1168distdir: $(DISTFILES)
1169        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1170        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1171        list='$(DISTFILES)'; \
1172          dist_files=`for file in $$list; do echo $$file; done | \
1173          sed -e "s|^$$srcdirstrip/||;t" \
1174              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1175        case $$dist_files in \
1176          */*) $(MKDIR_P) `echo "$$dist_files" | \
1177                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1178                           sort -u` ;; \
1179        esac; \
1180        for file in $$dist_files; do \
1181          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1182          if test -d $$d/$$file; then \
1183            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1184            if test -d "$(distdir)/$$file"; then \
1185              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1186            fi; \
1187            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1188              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1189              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1190            fi; \
1191            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1192          else \
1193            test -f "$(distdir)/$$file" \
1194            || cp -p $$d/$$file "$(distdir)/$$file" \
1195            || exit 1; \
1196          fi; \
1197        done
1198check-am: all-am
1199        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1200        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1201check: check-am
1202all-am: Makefile $(LTLIBRARIES)
1203installdirs:
1204install: install-am
1205install-exec: install-exec-am
1206install-data: install-data-am
1207uninstall: uninstall-am
1208
1209install-am: all-am
1210        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1211
1212installcheck: installcheck-am
1213install-strip:
1214        if test -z '$(STRIP)'; then \
1215          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1216            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1217              install; \
1218        else \
1219          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1220            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1221            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1222        fi
1223mostlyclean-generic:
1224        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1225        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1226        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1227
1228clean-generic:
1229        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1230
1231distclean-generic:
1232        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1233        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1234
1235maintainer-clean-generic:
1236        @echo "This command is intended for maintainers to use"
1237        @echo "it deletes files that may require special tools to rebuild."
1238clean: clean-am
1239
1240clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1241        clean-noinstLTLIBRARIES mostlyclean-am
1242
1243distclean: distclean-am
1244        -rm -rf $(DEPDIR) ./$(DEPDIR)
1245        -rm -f Makefile
1246distclean-am: clean-am distclean-compile distclean-generic \
1247        distclean-tags
1248
1249dvi: dvi-am
1250
1251dvi-am:
1252
1253html: html-am
1254
1255html-am:
1256
1257info: info-am
1258
1259info-am:
1260
1261install-data-am:
1262
1263install-dvi: install-dvi-am
1264
1265install-dvi-am:
1266
1267install-exec-am:
1268
1269install-html: install-html-am
1270
1271install-html-am:
1272
1273install-info: install-info-am
1274
1275install-info-am:
1276
1277install-man:
1278
1279install-pdf: install-pdf-am
1280
1281install-pdf-am:
1282
1283install-ps: install-ps-am
1284
1285install-ps-am:
1286
1287installcheck-am:
1288
1289maintainer-clean: maintainer-clean-am
1290        -rm -rf $(DEPDIR) ./$(DEPDIR)
1291        -rm -f Makefile
1292maintainer-clean-am: distclean-am maintainer-clean-generic
1293
1294mostlyclean: mostlyclean-am
1295
1296mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1297        mostlyclean-libtool
1298
1299pdf: pdf-am
1300
1301pdf-am:
1302
1303ps: ps-am
1304
1305ps-am:
1306
1307uninstall-am:
1308
1309.MAKE: check-am install-am install-strip
1310
1311.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1312        clean-checkPROGRAMS clean-generic clean-libtool \
1313        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1314        distclean-compile distclean-generic distclean-libtool \
1315        distclean-tags distdir dvi dvi-am html html-am info info-am \
1316        install install-am install-data install-data-am install-dvi \
1317        install-dvi-am install-exec install-exec-am install-html \
1318        install-html-am install-info install-info-am install-man \
1319        install-pdf install-pdf-am install-ps install-ps-am \
1320        install-strip installcheck installcheck-am installdirs \
1321        maintainer-clean maintainer-clean-generic mostlyclean \
1322        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1323        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1324        uninstall-am
1325
1326.PRECIOUS: Makefile
1327
1328
1329$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1330
1331testHeaders: $(srcdir)/*.h $(srcdir)/os/*.h
1332        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1333
1334.PHONY: testHeaders
1335
1336# Tell versions [3.59,3.63) of GNU make to not export all variables.
1337# Otherwise a system limit (for SysV at least) may be exceeded.
1338.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.